// -*- IDL -*-

// $Id: ImR_Activator.idl 66056 2005-05-23 17:58:35Z michel_j $

#include "tao/ImR_Client/ImplRepo.pidl"

module ImplementationRepository
{
  interface Activator
  {
    // Tells the activator to launch a server with the given information.
    void start_server(in string name, in string cmdline,
      in string dir, in EnvironmentList env) raises(CannotActivate);

    oneway void shutdown();
  };
};

